package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TDeviceSnManagementExample {
    /**
     * t_device_sn_management
     */
    protected String orderByClause;

    /**
     * t_device_sn_management
     */
    protected boolean distinct;

    /**
     * t_device_sn_management
     */
    protected List<Criteria> oredCriteria;

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public TDeviceSnManagementExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-12-02 16:19:26
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2024-12-02 16:19:26
    */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andPurposeIsNull() {
            addCriterion("PURPOSE is null");
            return (Criteria) this;
        }

        public Criteria andPurposeIsNotNull() {
            addCriterion("PURPOSE is not null");
            return (Criteria) this;
        }

        public Criteria andPurposeEqualTo(String value) {
            addCriterion("PURPOSE =", value, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeNotEqualTo(String value) {
            addCriterion("PURPOSE <>", value, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeGreaterThan(String value) {
            addCriterion("PURPOSE >", value, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeGreaterThanOrEqualTo(String value) {
            addCriterion("PURPOSE >=", value, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeLessThan(String value) {
            addCriterion("PURPOSE <", value, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeLessThanOrEqualTo(String value) {
            addCriterion("PURPOSE <=", value, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeLike(String value) {
            addCriterion("PURPOSE like", value, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeNotLike(String value) {
            addCriterion("PURPOSE not like", value, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeIn(List<String> values) {
            addCriterion("PURPOSE in", values, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeNotIn(List<String> values) {
            addCriterion("PURPOSE not in", values, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeBetween(String value1, String value2) {
            addCriterion("PURPOSE between", value1, value2, "purpose");
            return (Criteria) this;
        }

        public Criteria andPurposeNotBetween(String value1, String value2) {
            addCriterion("PURPOSE not between", value1, value2, "purpose");
            return (Criteria) this;
        }

        public Criteria andProducttionIdIsNull() {
            addCriterion("PRODUCTTION_ID is null");
            return (Criteria) this;
        }

        public Criteria andProducttionIdIsNotNull() {
            addCriterion("PRODUCTTION_ID is not null");
            return (Criteria) this;
        }

        public Criteria andProducttionIdEqualTo(Integer value) {
            addCriterion("PRODUCTTION_ID =", value, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdNotEqualTo(Integer value) {
            addCriterion("PRODUCTTION_ID <>", value, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdGreaterThan(Integer value) {
            addCriterion("PRODUCTTION_ID >", value, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("PRODUCTTION_ID >=", value, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdLessThan(Integer value) {
            addCriterion("PRODUCTTION_ID <", value, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdLessThanOrEqualTo(Integer value) {
            addCriterion("PRODUCTTION_ID <=", value, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdIn(List<Integer> values) {
            addCriterion("PRODUCTTION_ID in", values, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdNotIn(List<Integer> values) {
            addCriterion("PRODUCTTION_ID not in", values, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdBetween(Integer value1, Integer value2) {
            addCriterion("PRODUCTTION_ID between", value1, value2, "producttionId");
            return (Criteria) this;
        }

        public Criteria andProducttionIdNotBetween(Integer value1, Integer value2) {
            addCriterion("PRODUCTTION_ID not between", value1, value2, "producttionId");
            return (Criteria) this;
        }

        public Criteria andStartCodeIsNull() {
            addCriterion("START_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStartCodeIsNotNull() {
            addCriterion("START_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStartCodeEqualTo(String value) {
            addCriterion("START_CODE =", value, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeNotEqualTo(String value) {
            addCriterion("START_CODE <>", value, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeGreaterThan(String value) {
            addCriterion("START_CODE >", value, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeGreaterThanOrEqualTo(String value) {
            addCriterion("START_CODE >=", value, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeLessThan(String value) {
            addCriterion("START_CODE <", value, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeLessThanOrEqualTo(String value) {
            addCriterion("START_CODE <=", value, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeLike(String value) {
            addCriterion("START_CODE like", value, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeNotLike(String value) {
            addCriterion("START_CODE not like", value, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeIn(List<String> values) {
            addCriterion("START_CODE in", values, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeNotIn(List<String> values) {
            addCriterion("START_CODE not in", values, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeBetween(String value1, String value2) {
            addCriterion("START_CODE between", value1, value2, "startCode");
            return (Criteria) this;
        }

        public Criteria andStartCodeNotBetween(String value1, String value2) {
            addCriterion("START_CODE not between", value1, value2, "startCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeIsNull() {
            addCriterion("END_CODE is null");
            return (Criteria) this;
        }

        public Criteria andEndCodeIsNotNull() {
            addCriterion("END_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andEndCodeEqualTo(String value) {
            addCriterion("END_CODE =", value, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeNotEqualTo(String value) {
            addCriterion("END_CODE <>", value, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeGreaterThan(String value) {
            addCriterion("END_CODE >", value, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeGreaterThanOrEqualTo(String value) {
            addCriterion("END_CODE >=", value, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeLessThan(String value) {
            addCriterion("END_CODE <", value, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeLessThanOrEqualTo(String value) {
            addCriterion("END_CODE <=", value, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeLike(String value) {
            addCriterion("END_CODE like", value, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeNotLike(String value) {
            addCriterion("END_CODE not like", value, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeIn(List<String> values) {
            addCriterion("END_CODE in", values, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeNotIn(List<String> values) {
            addCriterion("END_CODE not in", values, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeBetween(String value1, String value2) {
            addCriterion("END_CODE between", value1, value2, "endCode");
            return (Criteria) this;
        }

        public Criteria andEndCodeNotBetween(String value1, String value2) {
            addCriterion("END_CODE not between", value1, value2, "endCode");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNull() {
            addCriterion("QUANTITY is null");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNotNull() {
            addCriterion("QUANTITY is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityEqualTo(Integer value) {
            addCriterion("QUANTITY =", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotEqualTo(Integer value) {
            addCriterion("QUANTITY <>", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThan(Integer value) {
            addCriterion("QUANTITY >", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("QUANTITY >=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThan(Integer value) {
            addCriterion("QUANTITY <", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("QUANTITY <=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityIn(List<Integer> values) {
            addCriterion("QUANTITY in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotIn(List<Integer> values) {
            addCriterion("QUANTITY not in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityBetween(Integer value1, Integer value2) {
            addCriterion("QUANTITY between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("QUANTITY not between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccIsNull() {
            addCriterion("SYNC_DEVICE_ACC is null");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccIsNotNull() {
            addCriterion("SYNC_DEVICE_ACC is not null");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccEqualTo(Integer value) {
            addCriterion("SYNC_DEVICE_ACC =", value, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccNotEqualTo(Integer value) {
            addCriterion("SYNC_DEVICE_ACC <>", value, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccGreaterThan(Integer value) {
            addCriterion("SYNC_DEVICE_ACC >", value, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccGreaterThanOrEqualTo(Integer value) {
            addCriterion("SYNC_DEVICE_ACC >=", value, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccLessThan(Integer value) {
            addCriterion("SYNC_DEVICE_ACC <", value, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccLessThanOrEqualTo(Integer value) {
            addCriterion("SYNC_DEVICE_ACC <=", value, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccIn(List<Integer> values) {
            addCriterion("SYNC_DEVICE_ACC in", values, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccNotIn(List<Integer> values) {
            addCriterion("SYNC_DEVICE_ACC not in", values, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccBetween(Integer value1, Integer value2) {
            addCriterion("SYNC_DEVICE_ACC between", value1, value2, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andSyncDeviceAccNotBetween(Integer value1, Integer value2) {
            addCriterion("SYNC_DEVICE_ACC not between", value1, value2, "syncDeviceAcc");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthIsNull() {
            addCriterion("APPLY_YEAR_MONTH is null");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthIsNotNull() {
            addCriterion("APPLY_YEAR_MONTH is not null");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthEqualTo(Integer value) {
            addCriterion("APPLY_YEAR_MONTH =", value, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthNotEqualTo(Integer value) {
            addCriterion("APPLY_YEAR_MONTH <>", value, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthGreaterThan(Integer value) {
            addCriterion("APPLY_YEAR_MONTH >", value, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthGreaterThanOrEqualTo(Integer value) {
            addCriterion("APPLY_YEAR_MONTH >=", value, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthLessThan(Integer value) {
            addCriterion("APPLY_YEAR_MONTH <", value, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthLessThanOrEqualTo(Integer value) {
            addCriterion("APPLY_YEAR_MONTH <=", value, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthIn(List<Integer> values) {
            addCriterion("APPLY_YEAR_MONTH in", values, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthNotIn(List<Integer> values) {
            addCriterion("APPLY_YEAR_MONTH not in", values, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthBetween(Integer value1, Integer value2) {
            addCriterion("APPLY_YEAR_MONTH between", value1, value2, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andApplyYearMonthNotBetween(Integer value1, Integer value2) {
            addCriterion("APPLY_YEAR_MONTH not between", value1, value2, "applyYearMonth");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIsNull() {
            addCriterion("SERIAL_NUMBER is null");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIsNotNull() {
            addCriterion("SERIAL_NUMBER is not null");
            return (Criteria) this;
        }

        public Criteria andSerialNumberEqualTo(Integer value) {
            addCriterion("SERIAL_NUMBER =", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotEqualTo(Integer value) {
            addCriterion("SERIAL_NUMBER <>", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberGreaterThan(Integer value) {
            addCriterion("SERIAL_NUMBER >", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberGreaterThanOrEqualTo(Integer value) {
            addCriterion("SERIAL_NUMBER >=", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberLessThan(Integer value) {
            addCriterion("SERIAL_NUMBER <", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberLessThanOrEqualTo(Integer value) {
            addCriterion("SERIAL_NUMBER <=", value, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberIn(List<Integer> values) {
            addCriterion("SERIAL_NUMBER in", values, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotIn(List<Integer> values) {
            addCriterion("SERIAL_NUMBER not in", values, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberBetween(Integer value1, Integer value2) {
            addCriterion("SERIAL_NUMBER between", value1, value2, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andSerialNumberNotBetween(Integer value1, Integer value2) {
            addCriterion("SERIAL_NUMBER not between", value1, value2, "serialNumber");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdIsNull() {
            addCriterion("PRODUCT_TYPE_ID is null");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdIsNotNull() {
            addCriterion("PRODUCT_TYPE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdEqualTo(Integer value) {
            addCriterion("PRODUCT_TYPE_ID =", value, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdNotEqualTo(Integer value) {
            addCriterion("PRODUCT_TYPE_ID <>", value, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdGreaterThan(Integer value) {
            addCriterion("PRODUCT_TYPE_ID >", value, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("PRODUCT_TYPE_ID >=", value, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdLessThan(Integer value) {
            addCriterion("PRODUCT_TYPE_ID <", value, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdLessThanOrEqualTo(Integer value) {
            addCriterion("PRODUCT_TYPE_ID <=", value, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdIn(List<Integer> values) {
            addCriterion("PRODUCT_TYPE_ID in", values, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdNotIn(List<Integer> values) {
            addCriterion("PRODUCT_TYPE_ID not in", values, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdBetween(Integer value1, Integer value2) {
            addCriterion("PRODUCT_TYPE_ID between", value1, value2, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andProductTypeIdNotBetween(Integer value1, Integer value2) {
            addCriterion("PRODUCT_TYPE_ID not between", value1, value2, "productTypeId");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIsNull() {
            addCriterion("DEVICE_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIsNotNull() {
            addCriterion("DEVICE_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeEqualTo(String value) {
            addCriterion("DEVICE_TYPE =", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotEqualTo(String value) {
            addCriterion("DEVICE_TYPE <>", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeGreaterThan(String value) {
            addCriterion("DEVICE_TYPE >", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_TYPE >=", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLessThan(String value) {
            addCriterion("DEVICE_TYPE <", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_TYPE <=", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLike(String value) {
            addCriterion("DEVICE_TYPE like", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotLike(String value) {
            addCriterion("DEVICE_TYPE not like", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIn(List<String> values) {
            addCriterion("DEVICE_TYPE in", values, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotIn(List<String> values) {
            addCriterion("DEVICE_TYPE not in", values, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeBetween(String value1, String value2) {
            addCriterion("DEVICE_TYPE between", value1, value2, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotBetween(String value1, String value2) {
            addCriterion("DEVICE_TYPE not between", value1, value2, "deviceType");
            return (Criteria) this;
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2024-12-02 16:19:26
    */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
    * @Description:
    * @Author: guozhao
    * @CreateDate: 2024-12-02 16:19:26
    */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}